#version 140

in vec3 forFragColor;
in vec2 forFragTexCoord;
out vec4 outputColor;

uniform sampler2D myTexture;

const vec2 texSize = vec2(256.0,256.0);

void main() {
  vec3 tC = vec3( texture(myTexture, forFragTexCoord) );
  vec3 tC2 = vec3( texture(myTexture, forFragTexCoord + vec2(1.0/texSize.x, 0.0) ) );
  vec3 tC3 = vec3( texture(myTexture, forFragTexCoord + vec2(0.0, 1.0/texSize.y) ) );

  if(abs(tC.x - tC2.x) > 0.01) {
    outputColor = vec4(1.0,1.0,1.0,1.0);
  }else {
    if(abs(tC.x - tC3.x) > 0.01) {
      outputColor = vec4(1.0,1.0,0.0,1.0);
    }else {
      outputColor = vec4(forFragColor*tC,1.0);
    }
  }
}

